#line 1 "C:/Users/Viktor/Desktop/Klikovi/BLE3/primeri/PIC/ble3_click_example.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic/include/stdint.h"




typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;



typedef signed char int_fast8_t;
typedef signed int int_fast16_t;
typedef signed long int int_fast32_t;


typedef unsigned char uint_fast8_t;
typedef unsigned int uint_fast16_t;
typedef unsigned long int uint_fast32_t;


typedef signed int intptr_t;
typedef unsigned int uintptr_t;


typedef signed long int intmax_t;
typedef unsigned long int uintmax_t;
#line 16 "C:/Users/Viktor/Desktop/Klikovi/BLE3/primeri/PIC/ble3_click_example.c"
sbit BLE3_RTS_MCU_DIR at TRISB0_bit;
sbit BLE3_RTS_MCU at LATB0_bit;

sbit BLE3_CTS_MCU_DIR at RE0_bit;
sbit BLE3_CTS_MCU at TRISE0_bit;

sbit BLE3_RST_DIR at TRISE1_bit;
sbit BLE3_RST at LATE1_bit;

uint8_t portd_read = 0;

void main()
{

 ANSELE = ANSELB = ANSELC = ANSELD = 0;
 TRISD = 0;

 BLE3_RTS_MCU_DIR = 0;
 BLE3_CTS_MCU_DIR = 1;
 BLE3_RST_DIR = 0;

 Uart1_Init(115200);
 delay_ms(500);

 BLE3_RTS_MCU = 0;
 BLE3_RST = 1;
 delay_ms(2000);

 Uart1_Write_Text("AT+UBTLN=");
 Uart1_Write_Text("\"mikroE\"");
 Uart1_Write_Text("\r");
 delay_ms(1000);

 Uart1_Write_Text("ATO1\r");
 delay_ms(1000);

 RC1IE_bit = 1;
 RC1IF_bit = 0;
 PEIE_bit = 1;
 GIE_bit = 1;

 while(1)
 {
 LATD = portd_read;
 Uart1_Write(portd_read);
 delay_ms(1000);
 portd_read++;
 }

}



void interrupt()
{
 if( RC1IF_bit == 1 )
 {
 LATD = UART1_Read();
 portd_read = PORTD;
 }
}
